@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;900&display=swap');

body {
    margin: 0;
    font-size: 16px;
    font-family: Rubik;
    background-color: #009688;
}

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    outline: none;
}


.custom-box {
    max-width: 700px;
    background-color: #fff;
    margin:40px auto;
    padding: 30px;
    border-radius: 10px;
    animation: fadeInRight 1s ease;
}


@keyframes fadeInRight {
    0%{
        transform: translateX(40px);
        opacity: 0;
    }
    100%{
        transform: translateX(0);
        opacity: 1;
    }
}

.custom-box.hide{
    display:none;
}

.home-box h3 {
    font-size: 18px;
    color: #000;
    font-weight: 600;
    margin-bottom: 15px;
    line-height: 25px;
}
.home-box p{
    margin-bottom: 10px;
    line-height: 22px;
    color: #000;
    
}

.home-box a {
    text-decoration: none;
}

.home-box p span {
    font-weight: 600;
}

.home-box .btn {
    margin-top: 20px;
    margin-right: 10px;
}

.btn {
    padding: 10px 25px;
    background-color: #009688;
    border: none;
    border-radius: 10px;
    color: #fff;
    font-size: 16px;
    font-family: Rubik;
    cursor: pointer;
    display: inline-block;
}


.quiz-box .question-number {
    font-size: 18px;
    font-weight: 500;
    color: #009688;
    border-bottom: 1px solid #ccc;
    padding-bottom: 10px;
    line-height: 25px;

}

.quiz-box .question-text{
font-size: 18px;
color: #000;
line-height: 25px;
font-weight: 300;
padding: 20px 0;
margin: 0;


}


.quiz-box .option-container .option{
    background-color: #ccc;
    padding: 13px 15px;
    font-size: 18px;
    line-height: 2px;
    color: #000;
    border-radius: 5px;
    margin-bottom: 10px;
    cursor: pointer;
    opacity: 0;
    animation: fadeIn 0.3s ease forwards;
    position: relative;
    overflow: hidden;
}

@keyframes fadeIn {
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.quiz-box .option-container .option.correct::before{ 
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: green;
    z-index: -1 ;
    animation: slideInLeft 0.5s ease forwards;
}
@keyframes slideInLeft {
    0%{
        transform: translateX(-100%);
    }
    100%{
        transform: translateX(0);;
    }
}

.quiz-box .option-container .option.correct {
    color: #fff;
}

.quiz-box .option-container .option.wrong::before{ 
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: red;
    z-index: -1 ;
    animation: slideInLeft 0.5s ease forwards;
}
@keyframes slideInLeft {
    0%{
        transform: translateX(-100%);
    }
    100%{
        transform: translateX(0);;
    }
}
.quiz-box .option-container .option.wrong {
    color: #fff;
}


.quiz-box .option-container .option.already-answered{
    pointer-events: none;
}

.quiz-box .btn{
    margin: 15px 0;
}

.quiz-box .answer-indicator {
    border-top: 1px solid #ccc;
}

.quiz-box .answer-indicator div {
    height: 27px;
    width: 27px;
    display: inline-block;
    background-color: #ccc;
    border-radius: 50%;
    margin-right: 3px;
    margin-top: 15px;


}

.quiz-box .answer-indicator div.correct{
    background-color: green;
    background-image: url("../img/correct.png");
    background-size: 50%;
    background-repeat: no-repeat;
    background-position: center;
}
.quiz-box .answer-indicator div.wrong{
    background-color: red;
    background-image: url("../img/wrong.png");
    background-size: 50%;
    background-repeat: no-repeat;
    background-position: center;
}
.result-box {
    text-align: center;
}

.result-box.hide{
    display: none;
}
.result-box h1 {
    font-size: 36px;
    line-height: 42px ;
    color: #009688;
}

.result-box table{
    width: 100%;
    border-collapse: collapse;
    margin: 30px 0;

}

.result-box table td{
    border: 1px solid #ccc ;
    padding: 8px 15px;
    font-weight: 500;
    color: #000;
    width: 50%;
    text-align: right;
    font-size: 18px;
}


.result-box .btn{
    margin-right: 20px;
}


@media(max-width:767px) {
    .result-box .btn {
        margin-bottom: 15px;
    }
    body {
        padding: 15px;
    }
    .home-box  {
        text-align: center;
    }
    .result-box table td {
        font-size: 15px;
    }

}